Passa al contenuto principale

ObjectStorageIamUser

IAM user of an object storage: a user of the storage with its own S3 keys

iam_user_idintegerrequired
object_storage_idintegerrequired

Id of the object storage (GET /api/v3/object-storages/{object_storage_id})

sub_account_idintegerrequired

Id of the sub-account of the object storage, the account at the storage that holds its buckets and IAM users (not the account id of the storage)

codeinteger | nullnullablerequired

Progressive number of the IAM user in the object storage

code_fullstring | nullnullablerequired

Username of the IAM user on the storage

iam_idstring | nullnullablerequired

Id of the user in the IAM service of the storage

arnstring | nullnullablerequired

ARN (Amazon Resource Name) of the IAM user, used in the policies (arn:aws:iam::<account>:user/<username>)

activeboolean | nullnullablerequired

Whether the IAM user is active: deleted users are not returned

date_createddate-timenullablerequired
ObjectStorageIamUser
{
"iam_user_id": 0,
"object_storage_id": 0,
"sub_account_id": 0,
"code": 0,
"code_full": "string",
"iam_id": "string",
"arn": "string",
"active": true,
"date_created": "2024-07-29T15:51:28.071Z"
}